S3 Get Bucket Encryption
  • 06 Jun 2023
  • Dark
    Light

S3 Get Bucket Encryption

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?encryption

Returns the bucket's effective default encryption configuration. Backblaze B2 returns SSE-B2 as the S3 AES256 algorithm for both new and existing buckets, including buckets that do not have a stored encryption configuration. This operation requires permission to read bucket encryption configuration.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

encryption

Must be present to retrieve bucket encryption configuration

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/?encryption=null'

Example Response

200 NO CONTENT

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ServerSideEncryptionConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
  <Rule>
    <ApplyServerSideEncryptionByDefault>
      <SSEAlgorithm>AES256</SSEAlgorithm>
    </ApplyServerSideEncryptionByDefault>
  </Rule>
</ServerSideEncryptionConfiguration>


Headers (8)

x-amz-request-id

699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

339

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?